io.swagger.client.model

## Class Block

- java.lang.Object
- - io.swagger.client.model.Block

-     public class Block
      extends Object

  Block

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Block()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Block` | `blockHash(String blockHash)`
    `Block` | `blockNumber(Integer blockNumber)`
    `Block` | `connectionId(Integer connectionId)`
    `boolean` | `equals(Object o)`
    `String` | `getBlockHash()` Get blockHash
    `Integer` | `getBlockNumber()` Get blockNumber
    `Integer` | `getConnectionId()` Get connectionId
    `Integer` | `getId()` Get id
    `org.joda.time.DateTime` | `getTimestamp()` Get timestamp
    `int` | `hashCode()`
    `Block` | `id(Integer id)`
    `void` | `setBlockHash(String blockHash)`
    `void` | `setBlockNumber(Integer blockNumber)`
    `void` | `setConnectionId(Integer connectionId)`
    `void` | `setId(Integer id)`
    `void` | `setTimestamp(org.joda.time.DateTime timestamp)`
    `Block` | `timestamp(org.joda.time.DateTime timestamp)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Block

          public Block()

  - ### Method Detail

    - #### id

          public Block id(Integer id)

    - #### getId

          public Integer getId()

      Get id
      Returns:
        id

    - #### setId

          public void setId(Integer id)

    - #### connectionId

          public Block connectionId(Integer connectionId)

    - #### getConnectionId

          public Integer getConnectionId()

      Get connectionId
      Returns:
        connectionId

    - #### setConnectionId

          public void setConnectionId(Integer connectionId)

    - #### timestamp

          public Block timestamp(org.joda.time.DateTime timestamp)

    - #### getTimestamp

          public org.joda.time.DateTime getTimestamp()

      Get timestamp
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(org.joda.time.DateTime timestamp)

    - #### blockNumber

          public Block blockNumber(Integer blockNumber)

    - #### getBlockNumber

          public Integer getBlockNumber()

      Get blockNumber
      Returns:
        blockNumber

    - #### setBlockNumber

          public void setBlockNumber(Integer blockNumber)

    - #### blockHash

          public Block blockHash(String blockHash)

    - #### getBlockHash

          public String getBlockHash()

      Get blockHash
      Returns:
        blockHash

    - #### setBlockHash

          public void setBlockHash(String blockHash)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2018. All rights reserved.